Emacs/tllib Security Updates for Slackware
Posted on: 08/16/2012 12:00 PM

The following two updates has been released for Slackware Linux: t1lib (SSA:2012-228-01) and emacs (SSA:2012-228-02)

t1lib (SSA:2012-228-01)
New t1lib packages are available for Slackware 12.1, 12.2, 13.0, 13.1, 13.37,
and -current to fix security issues.


Here are the details from the Slackware 13.37 ChangeLog:
+--------------------------+
patches/packages/t1lib-5.1.2-i486-3_slack13.37.txz: Rebuilt.
Patched various overflows, crashes, and pointer bugs.
For more information, see:
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2010-2642
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2011-0764
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2011-1552
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2011-1553
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2011-1554
(* Security fix *)
+--------------------------+


Where to find the new packages:
+-----------------------------+

Thanks to the friendly folks at the OSU Open Source Lab
(http://osuosl.org) for donating FTP and rsync hosting
to the Slackware project! :-)

Also see the "Get Slack" section on http://slackware.com for
additional mirror sites near you.

Updated package for Slackware 12.1:
ftp://ftp.slackware.com/pub/slackware/slackware-12.1/patches/packages/t1lib-5.1.2-i486-1_slack12.1.tgz

Updated package for Slackware 12.2:
ftp://ftp.slackware.com/pub/slackware/slackware-12.2/patches/packages/t1lib-5.1.2-i486-1_slack12.2.tgz

Updated package for Slackware 13.0:
ftp://ftp.slackware.com/pub/slackware/slackware-13.0/patches/packages/t1lib-5.1.2-i486-2_slack13.0.txz

Updated package for Slackware x86_64 13.0:
ftp://ftp.slackware.com/pub/slackware/slackware64-13.0/patches/packages/t1lib-5.1.2-x86_64-2_slack13.0.txz

Updated package for Slackware 13.1:
ftp://ftp.slackware.com/pub/slackware/slackware-13.1/patches/packages/t1lib-5.1.2-i486-2_slack13.1.txz

Updated package for Slackware x86_64 13.1:
ftp://ftp.slackware.com/pub/slackware/slackware64-13.1/patches/packages/t1lib-5.1.2-x86_64-2_slack13.1.txz

Updated package for Slackware 13.37:
ftp://ftp.slackware.com/pub/slackware/slackware-13.37/patches/packages/t1lib-5.1.2-i486-3_slack13.37.txz

Updated package for Slackware x86_64 13.37:
ftp://ftp.slackware.com/pub/slackware/slackware64-13.37/patches/packages/t1lib-5.1.2-x86_64-3_slack13.37.txz

Updated package for Slackware -current:
ftp://ftp.slackware.com/pub/slackware/slackware-current/slackware/l/t1lib-5.1.2-i486-3.txz

Updated package for Slackware x86_64 -current:
ftp://ftp.slackware.com/pub/slackware/slackware64-current/slackware64/l/t1lib-5.1.2-x86_64-3.txz


MD5 signatures:
+-------------+

Slackware 12.1 package:
b4a19acb6abc371cecd3555b2e8d794a t1lib-5.1.2-i486-1_slack12.1.tgz

Slackware 12.2 package:
e8cbabaf0a83b81dccbe67862e0b7f0a t1lib-5.1.2-i486-1_slack12.2.tgz

Slackware 13.0 package:
aef159285fb637413ca0d7e59adf92da t1lib-5.1.2-i486-2_slack13.0.txz

Slackware x86_64 13.0 package:
c014687cf4154b42ec66fb6fc2ac3e7e t1lib-5.1.2-x86_64-2_slack13.0.txz

Slackware 13.1 package:
2e14125a3c4f46811c7ee918ecdba79d t1lib-5.1.2-i486-2_slack13.1.txz

Slackware x86_64 13.1 package:
7fd0cb7d16dee8b5b5757ac93258e838 t1lib-5.1.2-x86_64-2_slack13.1.txz

Slackware 13.37 package:
eab121d3ac1bb128efff380942609fd4 t1lib-5.1.2-i486-3_slack13.37.txz

Slackware x86_64 13.37 package:
937da04c0f0f19812c440be48bf169ca t1lib-5.1.2-x86_64-3_slack13.37.txz

Slackware -current package:
9b6796f3e27952172236425a7031cb58 l/t1lib-5.1.2-i486-3.txz

Slackware x86_64 -current package:
6942fb6f9f78b8e3cc4a1c77469a2512 l/t1lib-5.1.2-x86_64-3.txz


Installation instructions:
+------------------------+

Upgrade the package as root:
# upgradepkg t1lib-5.1.2-i486-3_slack13.37.txz


+-----+

Slackware Linux Security Team
http://slackware.com/gpg-key

emacs (SSA:2012-228-02)
New emacs packages are available for Slackware 13.1, 13.37, and -current to
fix a security issue.


Here are the details from the Slackware 13.37 ChangeLog:
+--------------------------+
patches/packages/emacs-23.3-i486-2_slack13.37.txz: Rebuilt.
Patched to fix a security flaw in the file-local variables code.
When the Emacs user option `enable-local-variables' is set to `:safe'
(the default value is t), Emacs should automatically refuse to evaluate
`eval' forms in file-local variable sections. Due to the bug, Emacs
instead automatically evaluates such `eval' forms. Thus, if the user
changes the value of `enable-local-variables' to `:safe', visiting a
malicious file can cause automatic execution of arbitrary Emacs Lisp
code with the permissions of the user. Bug discovered by Paul Ling.
For more information, see:
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-3479
(* Security fix *)
+--------------------------+


Where to find the new packages:
+-----------------------------+

Thanks to the friendly folks at the OSU Open Source Lab
(http://osuosl.org) for donating FTP and rsync hosting
to the Slackware project! :-)

Also see the "Get Slack" section on http://slackware.com for
additional mirror sites near you.

Updated package for Slackware 13.1:
ftp://ftp.slackware.com/pub/slackware/slackware-13.1/patches/packages/emacs-23.2-i486-2_slack13.1.txz

Updated package for Slackware x86_64 13.1:
ftp://ftp.slackware.com/pub/slackware/slackware64-13.1/patches/packages/emacs-23.2-x86_64-2_slack13.1.txz

Updated package for Slackware 13.37:
ftp://ftp.slackware.com/pub/slackware/slackware-13.37/patches/packages/emacs-23.3-i486-2_slack13.37.txz

Updated package for Slackware x86_64 13.37:
ftp://ftp.slackware.com/pub/slackware/slackware64-13.37/patches/packages/emacs-23.3-x86_64-2_slack13.37.txz

Updated package for Slackware -current:
ftp://ftp.slackware.com/pub/slackware/slackware-current/slackware/e/emacs-24.1-i486-6.txz

Updated package for Slackware x86_64 -current:
ftp://ftp.slackware.com/pub/slackware/slackware64-current/slackware64/e/emacs-24.1-x86_64-6.txz


MD5 signatures:
+-------------+

Slackware 13.1 package:
3fc088a80cee2997e5d2a2623c7a6fad emacs-23.2-i486-2_slack13.1.txz

Slackware x86_64 13.1 package:
648a8d3ba5dc27c72db682c6df11f2b9 emacs-23.2-x86_64-2_slack13.1.txz

Slackware 13.37 package:
6a1687460997d6bf783b84d4f0e28bf0 emacs-23.3-i486-2_slack13.37.txz

Slackware x86_64 13.37 package:
e9666c12921b5a2a2a18a6dac4a47cd0 emacs-23.3-x86_64-2_slack13.37.txz

Slackware -current package:
a10860f88686b2e5d162cde4c5a7bd35 e/emacs-24.1-i486-6.txz

Slackware x86_64 -current package:
b2dbf220f1ea9a38538e468a0b576d4c e/emacs-24.1-x86_64-6.txz


Installation instructions:
+------------------------+

Upgrade the package as root:
# upgradepkg emacs-23.3-i486-2_slack13.37.txz


+-----+

Slackware Linux Security Team
http://slackware.com/gpg-key





Printed from Linux Compatible (http://www.linuxcompatible.org/news/story/emacstllib_security_updates_for_slackware.html)